#!/bin/bash
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBSX7Ppl5jMabHSgyARAilRAKC0E9+NVkaT62/Bejv+jV88pvizaACfbhxP
#vIzF/MZnaYNJmsL0M60Av4c=
#=gViG
#-----END PGP SIGNATURE-----

#------------------------------------------------------------------------------
# sends program output
# -----------------------------------------------------------------------------

# usage

usage() {
  echo "usage: $0 -a ep_appl@localhost [ -s 'Output from SybaseBackup.sh' ] -f SybaseBackup.log"
  echo "OPTIONS:"
  echo "   -a: addressee (e-mail address) (mandatory)"
  echo "   -s: e-mail subject (optional)"
  echo "   -f: name of file to sent (mandatory)"
  exit 1
}

unset RECIPIENT SUBJECT FILE
while getopts a:s:f: c ; do
  case $c in
    a)	RECIPIENT=$OPTARG ;;
    s)	SUBJECT=$OPTARG ;;
    f)	FILE=$OPTARG ;;
    *) usage ;;
  esac
done

[ "x" = "x$RECIPIENT" -o "x" = "x$FILE" ] && usage
[ "x" = "x$SUBJECT" ] && SUBJECT="Notification from ePages"

if [ ! -f $FILE ] ; then
    echo "File not sent: no such file ($FILE)."
    exit
elif [ ! -s $FILE ] ; then
    echo "File not sent: file empty ($FILE)."
    exit
fi

# set environment

EPAGES_PROJECT=${EPAGES_PROJECT:-epages6}
EPAGES_DEFAULT=/etc/default/$EPAGES_PROJECT
[ -x $EPAGES_DEFAULT ] && . $EPAGES_DEFAULT

# main program

EP_MAIL=$(type -p mailx)
EP_MAIL=${EP_MAIL:-$(type -p mail)}

[ -z "$EP_MAIL" ] && { which mail; exit 1; }

cat $FILE | eval $EP_MAIL $SUBJECT $RECIPIENT

# end
